<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
      data-namespace-typo3-fluid="true"
>
<!-- COMPONENT: FLYOUT // Pictogram & text, Call to action // BEGIN -->
<div class="c-flyout   js-flyout">
    <div class="c-flyout__body   js-toggle-visible">
        <div class="c-flyout__content">
            <div class="o-media o-media--stacked o-media--{data.image.originalResource.properties.extension}">
                <figure class="o-media__img">
                    <!-- Pictogram // BEGIN -->
                    <f:render partial="Copyright" arguments="{media: files.0}"/>
                    <f:if condition="{files.0.uid}">
                        <f:then>
                            <f:image treatIdAsReference="true"
                                     src="{files.0.uid}"
                                     alt="{files.0.originalResource.alternative}"
                                     title="{files.0.originalResource.title}"/>
                        </f:then>
                        <f:else>
                            <!-- No image given -->
                        </f:else>
                    </f:if>

                    <!-- Pictogram // END -->
                </figure>
                <!-- Editable content // BEGIN -->
                <div class="o-media__body">
                    <h4>{data.title}</h4>
                    <f:format.raw>{data.bodytext}</f:format.raw>
                </div>
                <!-- Editable content // END -->
            </div>
        </div>

        <div class="{f:if(condition:'{data.link}', then:' c-flyout__foot--borderless', else: 'c-flyout__foot')}">
            <f:if condition="{data.link}">
                <f:link.typolink parameter="{data.link}" class="c-flyout__action">
                    <svg role="img"
                         aria-label="{data.linktext}"
                         class="c-flyout__action-icon sprite sprite-small-icon">
                        <use
                            xlink:href="typo3conf/ext/drk_template2016/Resources/Public/Images/svg/spritemap.svg#sprite-arrow-right"></use>
                        <title class="h-sr-only">{data.linktext}</title>
                    </svg>
                    <span class="c-flyout__action-text">{data.linktext}</span>
                </f:link.typolink>
            </f:if>
        </div>

    </div>
</div>
<!-- COMPONENT: FLYOUT // Pictogram & text, Call to action // END -->
</html>
